gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ActionMenuToolbar.RecentAction

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

An action of which represents a list of recently used files

- Module available since Gtk+ version 2.12

Synopsis

- data RecentAction
- class ActionClass o => RecentActionClass o
- castToRecentAction :: GObjectClass obj => obj -> RecentAction
- toRecentAction :: RecentActionClass o => o -> RecentAction
- recentActionNew :: GlibString string => string -> Maybe string -> Maybe string -> Maybe string -> IO RecentAction
- recentActionNewForManager :: (RecentManagerClass manager, GlibString string) => string -> Maybe string -> Maybe string -> Maybe string -> Maybe manager -> IO RecentAction
- recentActionShowNumbers :: RecentActionClass self => Attr self Bool

# Detail

A `RecentAction` represents a list of recently used files, which can be shown by widgets such as `RecentChooserDialog` or `RecentChooserMenu`.

To construct a submenu showing recently used files, use a `RecentAction` as the action for a <menuitem>. To construct a menu toolbutton showing the recently used files in the popup menu, use a `RecentAction` as the action for a <toolitem> element.

# Class Hierarchy

    | GObject
    | +----Action
    | +----RecentAction

# Types

data RecentAction Source #

#### Instances

Instances details

Eq RecentAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: RecentAction -> RecentAction -> Bool Source # (/=) :: RecentAction -> RecentAction -> Bool Source #
Ord RecentAction Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: RecentAction -> RecentAction -> Ordering Source #

(<) :: RecentAction -> RecentAction -> Bool Source #

(<=) :: RecentAction -> RecentAction -> Bool Source #

(>) :: RecentAction -> RecentAction -> Bool Source #

(>=) :: RecentAction -> RecentAction -> Bool Source #

max :: RecentAction -> RecentAction -> RecentAction Source #

min :: RecentAction -> RecentAction -> RecentAction Source #

GObjectClass RecentAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: RecentAction -> GObject Source # unsafeCastGObject :: GObject -> RecentAction Source #
ActionClass RecentAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types
RecentActionClass RecentAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ActionClass o => RecentActionClass o Source #

#### Instances

Instances details

RecentActionClass RecentAction Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToRecentAction :: GObjectClass obj => obj -> RecentAction Source #

toRecentAction :: RecentActionClass o => o -> RecentAction Source #

# Constructors

recentActionNew Source #

Arguments

:: GlibString string |
=> string | `name` - a unique name for the action
-> Maybe string | `label` - the label displayed in menu items and on buttons, or `Nothing`
-> Maybe string | `tooltip` - a tooltip for the action, or `Nothing`
-> Maybe string | `stockId` - the stock icon to display in widgets representing the action, or `Nothing`
-> IO RecentAction |

Creates a new `RecentAction` object. To add the action to a `ActionGroup` and set the accelerator for the action, call `actionGroupAddActionWithAccel`.

recentActionNewForManager Source #

Arguments

:: (RecentManagerClass manager, GlibString string) |
=> string | `name` - a unique name for the action
-> Maybe string | `label` - the label displayed in menu items and on buttons, or `Nothing`
-> Maybe string | `tooltip` - a tooltip for the action, or `Nothing`
-> Maybe string | `stockId` - the stock icon to display in widgets representing the action, or `Nothing`
-> Maybe manager | `manager` - a `RecentManager`, or `Nothing` for the default `RecentManager`
-> IO RecentAction |

Creates a new `RecentAction` object. To add the action to a `ActionGroup` and set the accelerator for the action, call `actionGroupAddActionWithAccel`.

# Attributes

recentActionShowNumbers :: RecentActionClass self => Attr self Bool Source #

If recent items should be shown with numbers next to them.